<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [nextUpdate](./bitburner.corporation.nextupdate.md)

## Corporation.nextUpdate() method

Sleep until the next Corporation update happens.

**Signature:**

```typescript
nextUpdate(): Promise<CorpStateName>;
```
**Returns:**

Promise&lt;[CorpStateName](./bitburner.corpstatename.md)<!-- -->&gt;

Promise that resolves to the name of the state that was just processed.

## Remarks

RAM cost: 1 GB

The amount of real time spent asleep between updates can vary due to "bonus time" (usually 200 milliseconds - 2 seconds).

If the returned state is X, it means X just happened.

Possible states are START, PURCHASE, PRODUCTION, EXPORT, SALE.

## Example


```js
while (true) {
  const prevState = await ns.corporation.nextUpdate();
  const nextState = ns.corporation.getCorporation().nextState;
  ns.print(`Corporation finished with ${prevState}, next will be ${nextState}.`);
  // Manage the Corporation
}
```

